Evaluators
POST
/api/v1/evaluators/run

Run multiple evaluators in the active workspace in parallel using Celery workers.

Authorization

AuthorizationBearer <token>

JWT access token. Use: Authorization: Bearer .

In: header

Header Parameters

X-Workspace-Id?string|null
Authorization?string|null
X-API-Key?string|null
X-EFFICIENTAI-API-KEY?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Schema for running evaluators.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/evaluators/run" \  -H "Content-Type: application/json" \  -d '{    "evaluator_ids": [      "b8297e13-5065-41e4-8501-d75f7b067a87"    ]  }'
{  "task_ids": [    "string"  ],  "evaluator_results": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "result_id": "string",      "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",      "evaluator_id": "92c2c259-25b9-47e2-bc3b-bd161a87f750",      "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",      "persona_id": "84321d19-6cb7-45af-a8d3-0bb38b11a872",      "scenario_id": "7784650b-4be4-4735-b283-be5e48bad01f",      "name": "string",      "timestamp": "2019-08-24T14:15:22Z",      "duration_seconds": 0,      "status": "queued",      "audio_s3_key": "string",      "transcription": "string",      "speaker_segments": [        {}      ],      "metric_scores": {},      "celery_task_id": "string",      "error_message": "string",      "call_event": "string",      "provider_call_id": "string",      "provider_platform": "string",      "call_data": {},      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "created_by": "string",      "agent": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "agent_id": "string",        "name": "string",        "phone_number": "string",        "language": "en",        "description": "string",        "call_type": "inbound",        "call_medium": "phone_call",        "telephony_phone_number_id": "e38c98fb-edc7-4356-a1b4-9fed10da790e",        "voice_bundle_id": "65d41f80-1b08-4e90-b462-1e77857f2a5a",        "ai_provider_id": "5a3b8ff9-20e7-4c37-ba1a-5b433e355819",        "voice_ai_integration_id": "56d7ec5b-1992-45e7-8ee8-b99a1df5ed3c",        "voice_ai_agent_id": "string",        "provider_prompt": "string",        "test_agent_template": {          "sections": [            {              "key": "string",              "title": "string",              "content": "string"            }          ],          "first_message": {            "production_mode": "string",            "production_message": "string",            "caller_mode": "string",            "caller_message": "string"          }        },        "prompt_variables": {          "property1": "string",          "property2": "string"        },        "silence_hangup_secs": 15,        "provider_prompt_synced_at": "2019-08-24T14:15:22Z",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "persona": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "gender": "string",        "tts_provider": "string",        "tts_voice_id": "string",        "tts_voice_name": "string",        "is_custom": false,        "description": "string",        "tts_config": {},        "llm_temperature": 0,        "llm_max_tokens": 0,        "response_delay_ms": 0,        "max_turns": 0,        "allow_interruptions": true,        "background_noise_source": "none",        "background_noise_preset": "string",        "background_noise_volume": 0,        "background_noise_s3_key": "string",        "background_noise_asset_id": "394c477a-8fd7-40cd-99e3-97daf7352ccf",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "scenario": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",        "description": "string",        "required_info": {          "property1": "string",          "property2": "string"        },        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "evaluator": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "evaluator_id": "string",        "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",        "name": "string",        "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",        "persona_id": "84321d19-6cb7-45af-a8d3-0bb38b11a872",        "scenario_id": "7784650b-4be4-4735-b283-be5e48bad01f",        "custom_prompt": "string",        "metric_ids": [          "ac080d46-4569-4639-bbfe-7a035f2bd723"        ],        "llm_provider": "openai",        "llm_model": "string",        "llm_config": {},        "tags": [          "string"        ],        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z",        "created_by": "string"      }    }  ]}

Community & contact

  1. Found a bug or have a feature request? Open a GitHub issue.
  2. Join our Discord for faster replies!